= Cheatsheets

[[AuthenticationOptions]]
== AuthenticationOptions

++++
 Authentication options.
++++
'''

[cols=">25%,^25%,50%"]
[frame="topbot"]
|===
^|Name | Type ^| Description
|[[enabled]]`enabled`|`Boolean`|
+++
Set whether authentication is enabled. Defaults to <code>false</code>.
+++
|[[id]]`id`|`String`|
+++
Set the identifier used for authentication.
+++
|[[secret]]`secret`|`String`|
+++
Set the secret used for authentication.
+++
|===

[[MetricTagsMatch]]
== MetricTagsMatch

++++
 Tags to apply to any metric which name matches the criteria.
++++
'''

[cols=">25%,^25%,50%"]
[frame="topbot"]
|===
^|Name | Type ^| Description
|[[tags]]`tags`|`Json object`|
+++
Set the tags to apply if metric name matches the criteria.
+++
|[[type]]`type`|`link:enums.html#MatchType[MatchType]`|
+++
Set the type of matching to apply.
+++
|[[value]]`value`|`String`|
+++
Set the matched value.
+++
|===

[[VertxHawkularOptions]]
== VertxHawkularOptions

++++
 Vert.x Hawkular monitoring configuration.
++++
'''

[cols=">25%,^25%,50%"]
[frame="topbot"]
|===
^|Name | Type ^| Description
|[[authenticationOptions]]`authenticationOptions`|`link:dataobjects.html#AuthenticationOptions[AuthenticationOptions]`|
+++
Set the options for authentication.
+++
|[[batchDelay]]`batchDelay`|`Number (int)`|
+++
Set the maximum delay between two consecutive batches (in seconds). To reduce the number of HTTP exchanges, metric
 data is sent to the Hawkular server in batches. A batch is sent as soon as the number of metrics collected reaches
 the configured <code>batchSize</code>, or after the <code>batchDelay</code> expires. Defaults to <code>1</code> second.
+++
|[[batchSize]]`batchSize`|`Number (int)`|
+++
Set the maximum number of metrics in a batch. To reduce the number of HTTP exchanges, metric data is sent to the
 Hawkular server in batches. A batch is sent as soon as the number of metrics collected reaches the configured
 <code>batchSize</code>, or after the <code>batchDelay</code> expires. Defaults to <code>50</code>.
+++
|[[disabledMetricsTypes]]`disabledMetricsTypes`|`Array of link:enums.html#MetricsType[MetricsType]`|
+++
Sets metrics types that are disabled.
+++
|[[enabled]]`enabled`|`Boolean`|
+++
Set whether metrics will be enabled on the Vert.x instance. Metrics are not enabled by default.
+++
|[[host]]`host`|`String`|
+++
Set the Hawkular Metrics service host. Defaults to <code>localhost</code>.
+++
|[[httpHeaders]]`httpHeaders`|`Json object`|
+++
Set specific headers to include in HTTP requests.
+++
|[[httpOptions]]`httpOptions`|`link:dataobjects.html#HttpClientOptions[HttpClientOptions]`|
+++
Set the configuration of the Hawkular Metrics HTTP client.
+++
|[[metricTagsMatches]]`metricTagsMatches`|`Array of link:dataobjects.html#MetricTagsMatch[MetricTagsMatch]`|
+++
Sets a list of link.
+++
|[[metricsBridgeAddress]]`metricsBridgeAddress`|`String`|
+++
Sets the metric bridge address on which the application is sending the custom metrics. Application can send
 metrics to this event bus address. The message is a JSON object specifying at least the <code>id</code> and
 <code>value</code> fields.
 <p/>
 Don't forget to also enable the bridge with <code>metricsBridgeEnabled</code>.
+++
|[[metricsBridgeEnabled]]`metricsBridgeEnabled`|`Boolean`|
+++
Sets whether or not the metrics bridge should be enabled. The metrics bridge is disabled by default.
+++
|[[metricsServiceUri]]`metricsServiceUri`|`String`|
+++
Set the Hawkular Metrics service URI. Defaults to <code>/hawkular/metrics</code>. This can be useful if you host the
 Hawkular server behind a proxy and manipulate the default service URI.
+++
|[[port]]`port`|`Number (int)`|
+++
Set the Hawkular Metrics service port.  Defaults to <code>8080</code>.
+++
|[[prefix]]`prefix`|`String`|
+++
Set the metric name prefix. Metric names are not prefixed by default. Prefixing metric names is required to
 distinguish data sent by different Vert.x instances.
+++
|[[schedule]]`schedule`|`Number (int)`|
+++
Set the metric collection interval (in seconds). Defaults to <code>1</code>.
+++
|[[sendTenantHeader]]`sendTenantHeader`|`Boolean`|
+++
Set whether Hawkular tenant header should be sent. Defaults to <code>true</code>.
 Must be set to <code>false</code> when working with pre-Alpha13 Hawkular servers.
+++
|[[taggedMetricsCacheSize]]`taggedMetricsCacheSize`|`Number (int)`|
+++
Set the number of metric names to cache in order to avoid repeated tagging requests.
+++
|[[tags]]`tags`|`Json object`|
+++
Set tags applied to all metrics.
+++
|[[tenant]]`tenant`|`String`|
+++
Set the Hawkular tenant. Defaults to <code>default</code>.
+++
|===

